%global momorel 1
%global md5sum_src0 aefe9ea3aecc908336ae909aeee385b5
Summary: MacOS X-style menu-based user-switching
Name: fast-user-switch-applet

Version: 2.18.0
Release: %{momorel}m%{?dist}
License: GPL
Group: User Interface/Desktops
URL: http://www.gnome.org/

%NoSource 0 ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/2.18/%{name}-%{version}.tar.bz2 %{md5sum_src0}

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPrereq: gtk2-devel >= 2.10.9
BuildPrereq: gnome-panel-devel >= 2.17.91
BuildPrereq: libglade2-devel >= 2.6.0
BuildPrereq: pango-devel >= 1.15.6
BuildPrereq: libXau-devel >= 1.0.3
BuildPrereq: libXmu-devel >= 1.0.3
BuildPrereq: libX11-devel >= 1.1.1
BuildPrereq: gdm >= 2.17.7
Requires: gdm

%description
The Fast User Switch Applet is an applet for the GNOME 2.10 panel
which allows for MacOS X-style menu-based user-switching.


%prep
%setup -q

%build
%configure \
    --disable-schemas-install \
    --disable-scrollkeeper \
    --with-users-admin="system-config-users" \
    --with-gdm-setup="gdmsetup"
%make

%install
rm -rf --preserve-root %{buildroot}
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%make DESTDIR=%{buildroot} install
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

%clean
rm -rf --preserve-root %{buildroot}

%post
/sbin/ldconfig
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
for i in \
    fast-user-switch-applet.schemas \
    ; do
    gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/$i > /dev/null
done
scrollkeeper-update

%preun
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
for i in \
    fast-user-switch-applet.schemas \
    ; do
    gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/$i > /dev/null
done

%postun
/sbin/ldconfig
scrollkeeper-update

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog HACKING NEWS README TODO
%{_sysconfdir}/gconf/schemas/fast-user-switch-applet.schemas
%{_libdir}/bonobo/servers/GNOME_FastUserSwitchApplet.server
%{_libexecdir}/fast-user-switch-applet
%{_datadir}/fast-user-switch-applet/ui.glade
%{_datadir}/gnome-2.0/ui/GNOME_FastUserSwitchApplet.xml
%{_datadir}/gnome/help/fast-user-switch-applet
%{_datadir}/locale/*/*/*
%{_datadir}/omf/fast-user-switch-applet

%changelog
* Wed Apr 18 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (2.18.0-1m)
- update to 2.18.0

* Tue Feb 27 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.17.4-1m)
- update to 2.17.4

* Thu Feb 22 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.17.3-3m)
- rewind %%post script (gconftool-2)

* Sun Feb 18 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.17.3-2m)
- revice %%post script (gconftool-2)

* Fri Feb 16 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.17.3-1m)
- update to 2.17.3 (unstable)

* Sun Jan  7 2007 Dai OKUYAMA <dai@ouchi.nahi.to>
- (2.16.0-2m)
- add BuildPrereq: gdm

* Thu Sep  7 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.16.0-1m)
- update to 2.16.0

* Tue May 30 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.14.2-1m)
- update to 2.14.2

* Wed Apr 12 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.14.1-1m)
- Initial Build
